
From: Zachary Amsden <zach@vmware.com>

Stop using extra underscores on asm and volatiles, that is just silly.  Also,
make lgdt/lidt/sgdt/sldt explicitly "l".

Signed-off-by: Zachary Amsden <zach@vmware.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-i386/mach-default/mach_desc.h |   26 +++++++++++++-------------
 1 files changed, 13 insertions(+), 13 deletions(-)

diff -puN include/asm-i386/mach-default/mach_desc.h~i386--clean-up-asm-and-volatile-keywords-in-desc include/asm-i386/mach-default/mach_desc.h
--- 25/include/asm-i386/mach-default/mach_desc.h~i386--clean-up-asm-and-volatile-keywords-in-desc	Wed Aug 17 13:33:44 2005
+++ 25-akpm/include/asm-i386/mach-default/mach_desc.h	Wed Aug 17 13:33:44 2005
@@ -24,30 +24,30 @@
 #ifndef __MACH_DESC_H
 #define __MACH_DESC_H
 
-#define load_TR_desc() __asm__ __volatile__("ltr %w0"::"q" (GDT_ENTRY_TSS*8))
-#define load_LDT_desc() __asm__ __volatile__("lldt %w0"::"q" (GDT_ENTRY_LDT*8))
+#define load_TR_desc() asm volatile("ltr %w0"::"q" (GDT_ENTRY_TSS*8))
+#define load_LDT_desc() asm volatile("lldt %w0"::"q" (GDT_ENTRY_LDT*8))
 
-#define load_gdt(dtr) __asm__ __volatile("lgdt %0"::"m" (*dtr))
-#define load_idt(dtr) __asm__ __volatile("lidt %0"::"m" (*dtr))
-#define load_tr(tr) __asm__ __volatile("ltr %0"::"mr" (tr))
-#define load_ldt(ldt) __asm__ __volatile("lldt %0"::"mr" (ldt))
-
-#define store_gdt(dtr) __asm__ ("sgdt %0":"=m" (*dtr))
-#define store_idt(dtr) __asm__ ("sidt %0":"=m" (*dtr))
-#define store_tr(tr) __asm__ ("str %0":"=mr" (tr))
-#define store_ldt(ldt) __asm__ ("sldt %0":"=mr" (ldt))
+#define load_gdt(dtr) asm volatile("lgdtl %0"::"m" (*dtr))
+#define load_idt(dtr) asm volatile("lidtl %0"::"m" (*dtr))
+#define load_tr(tr) asm volatile("ltr %0"::"mr" (tr))
+#define load_ldt(ldt) asm volatile("lldt %0"::"mr" (ldt))
+
+#define store_gdt(dtr) asm ("sgdtl %0":"=m" (*dtr))
+#define store_idt(dtr) asm ("sidtl %0":"=m" (*dtr))
+#define store_tr(tr) asm ("str %0":"=mr" (tr))
+#define store_ldt(ldt) asm ("sldt %0":"=mr" (ldt))
 
 static inline unsigned int get_TR_desc(void)
 {
 	unsigned int tr;
-	__asm__ ("str %w0":"=q" (tr));
+	asm ("str %w0":"=q" (tr));
 	return tr;
 }
 
 static inline unsigned int get_LDT_desc(void)
 {
 	unsigned int ldt;
-	__asm__ ("sldt %w0":"=q" (ldt));
+	asm ("sldt %w0":"=q" (ldt));
 	return ldt;
 }
 
_
